=== debian/changelog ===
libss7 (1.0.2-5) unstable; urgency=low

  * Upload to unstable
  * Update Vcs & Standards-Version

 -- Mark Purcell <msp@debian.org>  Sun, 19 May 2013 13:27:58 +1000

libss7 (1.0.2-4) experimental; urgency=low

  * Fix "FTBFS with clang 3.1" patch from Cyril Roelandt (Closes: #686546)
  * Cleanup debian/rules

 -- Mark Purcell <msp@debian.org>  Sat, 06 Oct 2012 17:27:40 +1000

libss7 (1.0.2-3) unstable; urgency=low

  * wheezy polish
  * Update Standards-Version: 3.9.3 - no changes
  * debian/compat -> 9 hardening & multiarch
  * Update Description - fixes extended-description-is-probably-too-short
  * Fix spelling-error-in-binary usr/lib/libss7.so.1.0 requried required

 -- Mark Purcell <msp@debian.org>  Sun, 24 Jun 2012 21:50:00 +1000

libss7 (1.0.2-2) unstable; urgency=low

  [ Kilian Krause ]
  * Add myself to Uploaders
  * Fix debian/watch

  [ Mark Purcell ]
  * Add myself to Uploaders
  * libss7-dbg -> Section: debug
  * debian/compat -> 7

  [ Tzafrir Cohen ]
  * A @debian.org address.
  * Patch gcc46: Fix the gcc 4.6 warnings (Closes: 625375).
  * Switch to dh.
  * Swich to dpkg v.3 format.
  * Standards version: 3.9.2.
  * Add a symbols file.

 -- Tzafrir Cohen <tzafrir@debian.org>  Fri, 25 Nov 2011 21:06:32 +0200

libss7 (1.0.2-1) unstable; urgency=low

  [ Tzafrir Cohen ]
  * Initial release. (Closes: #496263)

 -- Mark Purcell <msp@debian.org>  Tue, 18 Nov 2008 22:31:46 +1100
