=== debian/control ===
Source: libss7
Priority: optional
Section: libs
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Tzafrir Cohen <tzafrir@debian.org>, Mark Purcell <msp@debian.org>, Kilian Krause <kilian@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.4
Homepage: http://downloads.asterisk.org/pub/telephony/libss7/
Vcs-Svn: svn://anonscm.debian.org/pkg-voip/libss7/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/libss7/trunk/

Package: libss7-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libss7-1 (= ${binary:Version})
Description: Signalling System 7 (ss7) development files
 A userspace library that provids SS7 protocol services to applications.
 It has a working MTP2, MTP3, and ISUP for ITU and ANSI style SS7, however
 it was written in a manner that will easily allow support for other various
 national specific variants in the future.  For a working reference
 implementation, see the various link test programs, as well as the Asterisk
 Open Source PBX.
 .
 Development files for the C implementation of the Signalling System 7 
 (ss7) telephony protocol.
 
Package: libss7-1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Signalling System 7 (ss7) library
 A userspace library that provids SS7 protocol services to applications.
 It has a working MTP2, MTP3, and ISUP for ITU and ANSI style SS7, however
 it was written in a manner that will easily allow support for other various
 national specific variants in the future.  For a working reference
 implementation, see the various link test programs, as well as the Asterisk
 Open Source PBX.
 .
 C implementation of the Signalling System 7 (ss7) telephony protocol.
 
Package: libss7-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libss7-1 (= ${binary:Version})
Description: Signalling System 7 (ss7) debugging symbols
 A userspace library that provids SS7 protocol services to applications.
 It has a working MTP2, MTP3, and ISUP for ITU and ANSI style SS7, however
 it was written in a manner that will easily allow support for other various
 national specific variants in the future.  For a working reference
 implementation, see the various link test programs, as well as the Asterisk
 Open Source PBX.
 .
 Debug symbols for the C implementation of the Signalling System 7 
 (ss7) telephony protocol.
