=== debian/rules ===
#!/usr/bin/make -f

PKGNAME:=$(shell sed -nre 's/^Package: (.*[0-9])$$/\1/p' debian/control)
DEBVERSION:=$(shell head -n 1 debian/changelog \
		    | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
UPVERSION:=$(shell echo $(DEBVERSION) | sed -e 's/^.*://' -e 's/-[0-9.]*$$//' -e 's/~dfsg$$//')
UPVERSIONMAJOR:=$(shell echo $(UPVERSION) | sed -re 's/(^[0-9]\.[0-9]).*/\1/')
SHLIBS = $(PKGNAME) (>= $(UPVERSIONMAJOR))

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_mkshlibs:
	dh_makeshlibs -V "$(SHLIBS)"

override_dh_strip:
	dh_strip --dbg-package=libss7-dbg
