=== debian/changelog ===
libss7 (2.0.0-3) unstable; urgency=medium

  * Team upload.
  * Cherry-Pick upstream commit to fix strncpy errors with GCC-9
    (Closes: #925760)
  * Fix Vcs url to salsa.debian.org

 -- Bernhard Schmidt <berni@debian.org>  Fri, 16 Aug 2019 10:44:29 +0200

libss7 (2.0.0-2) unstable; urgency=medium

  [ Mark Purcell ]
  * New upstream release (Closes: #752694)
  * debian/patches incorporated upstream

  [ Tzafrir Cohen ]
  * Switched to upstream git tree with pristine-tar and a patch queue.
  * Ignore generated files under debian/
  * New SONAME: libss7-2.0
  * typo in rules: dh_makeshlibs (Closes: #834647)
  * install to multiarch paths
  * gbp.conf: set version tags format
  * Pass build flags to Makefile
  * Switch to Git VCS URLs
  * Enable extra hardening options
  * A dep5 copyright file
  * Compat level 10
  * don't manually generate a dbg package
  * watch: check signature
  * Strict versioned depepndency should not be needed
  * Multiarch
  * Standards version 3.9.8

 -- Tzafrir Cohen <tzafrir@debian.org>  Mon, 31 Oct 2016 23:56:31 +0200
