=== debian/watch ===
version=3
opts=dversionmangle=s/\~dfsg//,downloadurlmangle=s/.*ref=//,pgpsigurlmangle=s/$/.asc/ \
	http://downloads.digium.com/pub/telephony/libss7/releases/libss7-([0-9.]*).tar.gz debian uupdate
