## libss7 2.0.1

=== debian/changelog ===
libss7 (2.0.1-2) unstable; urgency=medium

  * proper fix for both (Closes: #934916, #1069523)

 -- Victor Seva <vseva@debian.org>  Wed, 12 Feb 2025 11:07:10 +0100

libss7 (2.0.1-1) unstable; urgency=medium

  [ Carlos Ramos ]
  * Update watch and signature keys

  [ Victor Seva ]
  * New upstream release
  * remove already applied patches
  * fix build on armhf (Closes: #1069523)
  * add myself to Uploaders. wrap-and-sort -sat
  * Use secure copyright file specification URI.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 10 to 13.
  * Set debhelper-compat version in Build-Depends.

 -- Victor Seva <vseva@debian.org>  Tue, 11 Feb 2025 10:06:37 +0100
