=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

triplet := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR = /usr/lib/$(triplet)

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- libdir=$(LIBDIR)

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog
