=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --uscan

opts="pgpmode=auto, dversionmangle=auto" \
http://downloads.asterisk.org/pub/telephony/libss7/releases/libss7-(\d\.\d\.\d).tar.gz
